import { executeQuery } from '../Connection/QueriesExecutor.js'

const getRetailGeneralParams = async function () {
    const result = await executeQuery({sql: 'GET_RETAIL_GENERAL_PARAMS',
        binds: {},
        rawReturn: true
    })

    return result[0]
}

const getRetailSpecificParams = async function (CDCLIENTE, CDFILIAL) {
    const result = await executeQuery({sql: 'GET_RETAIL_SPECIFIC_PARAMS', 
        binds: { CDCLIENTE, CDFILIAL },
        rawReturn: true
    })

    return result[0]
}

export default { getRetailGeneralParams, getRetailSpecificParams }
